#ifdef VHDL_TESTBENCH

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl_Testbench.h"

namespace morpheo              {
namespace behavioural          {

  void Vhdl_Testbench::generate_instance (void)
  {
    _vhdl->set_body("");
    _vhdl->set_body("instance_"+_name+" : "+_name);
    _vhdl->set_body("port map (");
    
    list<string>::iterator i   = _list_port.begin();
    if (i != _list_port.end())
      {
        _vhdl->set_body("\t "+*i+"\t=>\t"+*i);
        ++i;
      }
    while (i != _list_port.end())
      {
        _vhdl->set_body("\t,"+*i+"\t=>\t"+*i);
        ++i;
      }
    _vhdl->set_body("         );");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
